<template>
    <v-col
            class="d-flex child-flex"
            cols="12"
            sm="6"
            md="4"
    >
        <v-hover
                v-slot:default="{ hover }"
        >
            <v-card
                    class="mx-auto"
            >
                <v-fade-transition>
                    <v-overlay
                            v-show="hover"
                            absolute
                            color="#00000077"
                            z-index="1"
                    />
                </v-fade-transition>

                <v-img
                        class="white--text align-end"
                        height="200px"
                        :src="photo"
                        gradient="to bottom, rgba(0,0,0,.1), rgba(0,0,0,.5)"
                >
                    <v-chip
                            class="status"
                            color="success"

                            v-if="status === 0"
                    >
                        Открыт
                    </v-chip>

                    <v-chip
                            class="status"
                            color="warning"

                            v-if="status === 1"
                    >
                        В разработке
                    </v-chip>

                    <v-chip
                            class="status"
                            color="error"
                            v-if="status === 2"
                    >
                        Готов
                    </v-chip>

                    <template v-slot:placeholder>
                        <v-row
                                class="fill-height ma-0"
                                align="center"
                                justify="center"
                        >
                            <v-progress-circular indeterminate
                                                 color="grey lighten-5"
                            />
                        </v-row>
                    </template>

                    <v-card-title>{{ title }}</v-card-title>
                </v-img>

                <v-card-subtitle class="pb-0">{{ type }}</v-card-subtitle>

                <v-card-text class="text--primary">
                    <p>{{ description }}</p>
                </v-card-text>
            </v-card>
        </v-hover>
    </v-col>
</template>
<script>
    export default {
        name: 'ProjectItem',
        props: {
            title: String,
            photo: String,
            status: Number,
            type: String,
            description: String
        }
    }
</script>
<style scoped>
    .status {
        position: absolute;
        top: 10px;
        right: 10px;
    }
</style>